## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global srcname sphinx-ansible-theme
%global pkgname sphinx_ansible_theme
%global forgeurl https://github.com/ansible-community/%{pkgname}

Name:           python-%{pkgname}
Version:        0.9.1
%forgemeta
Release:        4%{?dist}
Summary:        A reusable Ansible Sphinx Theme

License:        MIT and BSD
URL:            %{forgeurl}
Source:         %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(sphinx-notfound-page)

%global _description %{expand:
A reusable Ansible Sphinx Theme. This theme is building on top
of RTD Theme and adds customization's needed for building projects
which are part of Ansible ecosystem}
%description %{_description}

%package -n python-%{pkgname}-doc
Summary: %{summary}
%description -n python-%{pkgname}-doc
Documentation for sphinx_ansible_theme

%package -n python3-%{pkgname}
Summary: %{summary}
%description -n python3-%{pkgname} %{_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=. sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -vr html/.{doctrees,buildinfo}

%install
%pyproject_install
ln -s %{_datadir}/fonts/fontawesome/FontAwesome.otf .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.eot .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.svg .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.ttf .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.woff .
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.woff2 .

%files -n python3-%{pkgname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pkgname}*

%files -n python-%{pkgname}-doc
%doc html
%license LICENSE

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.9.1-3
- Rebuilt for Python 3.11

* Tue Apr 05 2022 chedi <chedi.toueiti@gmail.com> - 0.9.1-1
- update to version 0.9.1 (#2047339)

* Sun Dec 19 2021 chedi <chedi.toueiti@gmail.com> - 0.9.0-1
- Update to version 0.9.0 (#2031349)

* Tue Oct 12 2021 chedi <chedi.toueiti@gmail.com> - 0.8.0-2
- changing package source and fixing some build errors

* Wed Oct 06 2021 chedi <chedi.toueiti@gmail.com> - 0.8.0-1
- Update to version 0.8.0 (#1986617)

* Mon Aug 02 2021 chedi <chedi.toueiti@gmail.com> - 0.3.2-1
- update to version 0.3.2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.3.1-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 chedi toueiti <chedi.toueiti@gmail.com> - 0.3.1-1
- initial commit
